Page MenuHomePhabricator

Program 7 Outcome 2 Objective 1, Q2: Develop a scalable and cost-effective storage solution for backing the REST API
Closed, ResolvedPublic

Description

In order to complete this Services Team Q2 goal, we need to migrate RESTBase use-cases to new storage strategy

Use cases

  • Completed
    • Mobileapps
    • Feeds
    • Page summary
    • Parsoid stashing
    • Non-WP parsoid
    • Definitions
    • Revisions and restrictions
    • WP parsoid
  • In-progress
    • Mathoid

Event Timeline

Eevans created this task.Oct 31 2017, 4:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2017, 4:50 PM
Eevans triaged this task as Normal priority.Oct 31 2017, 4:50 PM
mobrovac renamed this task from Migrate RESTBase use-cases to new storage strategy to Program 7 Outcome 2 Objective 1: Develop a scalable and cost-effective storage solution for backing the REST API.Oct 31 2017, 6:28 PM
mobrovac raised the priority of this task from Normal to High.
mobrovac added projects: Epic, Cassandra.
mobrovac updated the task description. (Show Details)
mobrovac added a project: Goal.
mobrovac removed a subscriber: Aklapper.
mobrovac renamed this task from Program 7 Outcome 2 Objective 1: Develop a scalable and cost-effective storage solution for backing the REST API to Program 7 Outcome 2 Objective 1, Q2: Develop a scalable and cost-effective storage solution for backing the REST API.Nov 2 2017, 12:12 PM
mobrovac updated the task description. (Show Details)Nov 3 2017, 9:51 AM
mobrovac updated the task description. (Show Details)Dec 12 2017, 2:44 PM
mobrovac updated the task description. (Show Details)Dec 13 2017, 9:09 AM

Change 398011 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Config: Reduce delete probability to 25%

https://gerrit.wikimedia.org/r/398011

Change 398011 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Config: Reduce delete probability to 25%

https://gerrit.wikimedia.org/r/398011

Assuming that the only remaining use-case on the legacy Cassandra cluster is mathoid, I propose the following to drop every remaining (non-system) keyspace that is NOT in service of mathoid.

1local_group_default_T_parsoid_dataLpBGD5XFAMFsTr:
2 statement: |
3 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_dataLpBGD5XFAMFsTr";
4local_group_default_T_parsoid_htmliZ1mueNVmW9MlJ:
5 statement: |
6 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_htmliZ1mueNVmW9MlJ";
7local_group_default_T_parsoid_section_okYE_jMlE6:
8 statement: |
9 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_section_okYE_jMlE6";
10local_group_default_T_parsoid_stash_datU81yvllO3:
11 statement: |
12 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_stash_datU81yvllO3";
13local_group_default_T_parsoid_stash_datWH8IDUS9S:
14 statement: |
15 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_stash_datWH8IDUS9S";
16local_group_default_T_parsoid_stash_html:
17 statement: |
18 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_stash_html";
19local_group_default_T_parsoid_stash_htmmXxc_uDhg:
20 statement: |
21 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_stash_htmmXxc_uDhg";
22local_group_default_T_parsoid_stash_sec2ACMDK1DR:
23 statement: |
24 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_stash_sec2ACMDK1DR";
25local_group_default_T_parsoid_stash_wikf0PBY8UXq:
26 statement: |
27 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_stash_wikf0PBY8UXq";
28local_group_default_T_parsoid_stash_wikitext:
29 statement: |
30 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_stash_wikitext";
31local_group_default_T_parsoid_wikitext:
32 statement: |
33 DROP KEYSPACE IF EXISTS "local_group_default_T_parsoid_wikitext";
34local_group_default_T_restrictions:
35 statement: |
36 DROP KEYSPACE IF EXISTS "local_group_default_T_restrictions";
37local_group_default_T_summary:
38 statement: |
39 DROP KEYSPACE IF EXISTS "local_group_default_T_summary";
40local_group_default_T_title__revisions:
41 statement: |
42 DROP KEYSPACE IF EXISTS "local_group_default_T_title__revisions";
43local_group_phase0_T_parsoid_dataLpBGD5XFAMFsTr8:
44 statement: |
45 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_dataLpBGD5XFAMFsTr8";
46local_group_phase0_T_parsoid_htmliZ1mueNVmW9MlJq:
47 statement: |
48 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_htmliZ1mueNVmW9MlJq";
49local_group_phase0_T_parsoid_section_ofkYE_jMlE6:
50 statement: |
51 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_section_ofkYE_jMlE6";
52local_group_phase0_T_parsoid_stash_dataU81yvllO3:
53 statement: |
54 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_stash_dataU81yvllO3";
55local_group_phase0_T_parsoid_stash_dataWH8IDUS9S:
56 statement: |
57 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_stash_dataWH8IDUS9S";
58local_group_phase0_T_parsoid_stash_html:
59 statement: |
60 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_stash_html";
61local_group_phase0_T_parsoid_stash_htmlmXxc_uDhg:
62 statement: |
63 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_stash_htmlmXxc_uDhg";
64local_group_phase0_T_parsoid_stash_sect2ACMDK1DR:
65 statement: |
66 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_stash_sect2ACMDK1DR";
67local_group_phase0_T_parsoid_stash_wikif0PBY8UXq:
68 statement: |
69 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_stash_wikif0PBY8UXq";
70local_group_phase0_T_parsoid_stash_wikitext:
71 statement: |
72 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_stash_wikitext";
73local_group_phase0_T_parsoid_wikitext:
74 statement: |
75 DROP KEYSPACE IF EXISTS "local_group_phase0_T_parsoid_wikitext";
76local_group_phase0_T_restrictions:
77 statement: |
78 DROP KEYSPACE IF EXISTS "local_group_phase0_T_restrictions";
79local_group_phase0_T_summary:
80 statement: |
81 DROP KEYSPACE IF EXISTS "local_group_phase0_T_summary";
82local_group_phase0_T_title__revisions:
83 statement: |
84 DROP KEYSPACE IF EXISTS "local_group_phase0_T_title__revisions";
85local_group_wikibooks_T_parsoid_dataLpBGD5XFAMFs:
86 statement: |
87 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_dataLpBGD5XFAMFs";
88local_group_wikibooks_T_parsoid_htmliZ1mueNVmW9M:
89 statement: |
90 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_htmliZ1mueNVmW9M";
91local_group_wikibooks_T_parsoid_section_kYE_jMlE:
92 statement: |
93 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_section_kYE_jMlE";
94local_group_wikibooks_T_parsoid_stash_daU81yvllO:
95 statement: |
96 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_stash_daU81yvllO";
97local_group_wikibooks_T_parsoid_stash_daWH8IDUS9:
98 statement: |
99 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_stash_daWH8IDUS9";
100local_group_wikibooks_T_parsoid_stash_html:
101 statement: |
102 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_stash_html";
103local_group_wikibooks_T_parsoid_stash_htmXxc_uDh:
104 statement: |
105 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_stash_htmXxc_uDh";
106local_group_wikibooks_T_parsoid_stash_se2ACMDK1D:
107 statement: |
108 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_stash_se2ACMDK1D";
109local_group_wikibooks_T_parsoid_stash_wif0PBY8UX:
110 statement: |
111 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_stash_wif0PBY8UX";
112local_group_wikibooks_T_parsoid_stash_wikitext:
113 statement: |
114 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_stash_wikitext";
115local_group_wikibooks_T_parsoid_wikitext:
116 statement: |
117 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_parsoid_wikitext";
118local_group_wikibooks_T_restrictions:
119 statement: |
120 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_restrictions";
121local_group_wikibooks_T_summary:
122 statement: |
123 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_summary";
124local_group_wikibooks_T_title__revisions:
125 statement: |
126 DROP KEYSPACE IF EXISTS "local_group_wikibooks_T_title__revisions";
127local_group_wikimedia_T_parsoid_dataLpBGD5XFAMFs:
128 statement: |
129 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_dataLpBGD5XFAMFs";
130local_group_wikimedia_T_parsoid_htmliZ1mueNVmW9M:
131 statement: |
132 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_htmliZ1mueNVmW9M";
133local_group_wikimedia_T_parsoid_section_kYE_jMlE:
134 statement: |
135 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_section_kYE_jMlE";
136local_group_wikimedia_T_parsoid_stash_daU81yvllO:
137 statement: |
138 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_stash_daU81yvllO";
139local_group_wikimedia_T_parsoid_stash_daWH8IDUS9:
140 statement: |
141 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_stash_daWH8IDUS9";
142local_group_wikimedia_T_parsoid_stash_html:
143 statement: |
144 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_stash_html";
145local_group_wikimedia_T_parsoid_stash_htmXxc_uDh:
146 statement: |
147 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_stash_htmXxc_uDh";
148local_group_wikimedia_T_parsoid_stash_se2ACMDK1D:
149 statement: |
150 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_stash_se2ACMDK1D";
151local_group_wikimedia_T_parsoid_stash_wif0PBY8UX:
152 statement: |
153 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_stash_wif0PBY8UX";
154local_group_wikimedia_T_parsoid_stash_wikitext:
155 statement: |
156 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_stash_wikitext";
157local_group_wikimedia_T_parsoid_wikitext:
158 statement: |
159 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_parsoid_wikitext";
160local_group_wikimedia_T_restrictions:
161 statement: |
162 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_restrictions";
163local_group_wikimedia_T_summary:
164 statement: |
165 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_summary";
166local_group_wikimedia_T_title__revisions:
167 statement: |
168 DROP KEYSPACE IF EXISTS "local_group_wikimedia_T_title__revisions";
169local_group_wikinews_T_parsoid_dataLpBGD5XFAMFsT:
170 statement: |
171 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_dataLpBGD5XFAMFsT";
172local_group_wikinews_T_parsoid_htmliZ1mueNVmW9Ml:
173 statement: |
174 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_htmliZ1mueNVmW9Ml";
175local_group_wikinews_T_parsoid_section_kYE_jMlE6:
176 statement: |
177 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_section_kYE_jMlE6";
178local_group_wikinews_T_parsoid_stash_daU81yvllO3:
179 statement: |
180 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_stash_daU81yvllO3";
181local_group_wikinews_T_parsoid_stash_daWH8IDUS9S:
182 statement: |
183 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_stash_daWH8IDUS9S";
184local_group_wikinews_T_parsoid_stash_html:
185 statement: |
186 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_stash_html";
187local_group_wikinews_T_parsoid_stash_htmXxc_uDhg:
188 statement: |
189 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_stash_htmXxc_uDhg";
190local_group_wikinews_T_parsoid_stash_se2ACMDK1DR:
191 statement: |
192 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_stash_se2ACMDK1DR";
193local_group_wikinews_T_parsoid_stash_wif0PBY8UXq:
194 statement: |
195 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_stash_wif0PBY8UXq";
196local_group_wikinews_T_parsoid_stash_wikitext:
197 statement: |
198 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_stash_wikitext";
199local_group_wikinews_T_parsoid_wikitext:
200 statement: |
201 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_parsoid_wikitext";
202local_group_wikinews_T_restrictions:
203 statement: |
204 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_restrictions";
205local_group_wikinews_T_summary:
206 statement: |
207 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_summary";
208local_group_wikinews_T_title__revisions:
209 statement: |
210 DROP KEYSPACE IF EXISTS "local_group_wikinews_T_title__revisions";
211local_group_wikipedia_T_parsoid_dataLpBGD5XFAMFs:
212 statement: |
213 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_dataLpBGD5XFAMFs";
214local_group_wikipedia_T_parsoid_htmliZ1mueNVmW9M:
215 statement: |
216 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_htmliZ1mueNVmW9M";
217local_group_wikipedia_T_parsoid_section_kYE_jMlE:
218 statement: |
219 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_section_kYE_jMlE";
220local_group_wikipedia_T_parsoid_stash_daU81yvllO:
221 statement: |
222 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_stash_daU81yvllO";
223local_group_wikipedia_T_parsoid_stash_daWH8IDUS9:
224 statement: |
225 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_stash_daWH8IDUS9";
226local_group_wikipedia_T_parsoid_stash_html:
227 statement: |
228 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_stash_html";
229local_group_wikipedia_T_parsoid_stash_htmXxc_uDh:
230 statement: |
231 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_stash_htmXxc_uDh";
232local_group_wikipedia_T_parsoid_stash_se2ACMDK1D:
233 statement: |
234 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_stash_se2ACMDK1D";
235local_group_wikipedia_T_parsoid_stash_wif0PBY8UX:
236 statement: |
237 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_stash_wif0PBY8UX";
238local_group_wikipedia_T_parsoid_stash_wikitext:
239 statement: |
240 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_stash_wikitext";
241local_group_wikipedia_T_parsoid_wikitext:
242 statement: |
243 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_parsoid_wikitext";
244local_group_wikipedia_T_restrictions:
245 statement: |
246 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_restrictions";
247local_group_wikipedia_T_summary:
248 statement: |
249 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_summary";
250local_group_wikipedia_T_title__revisions:
251 statement: |
252 DROP KEYSPACE IF EXISTS "local_group_wikipedia_T_title__revisions";
253local_group_wikiquote_T_parsoid_dataLpBGD5XFAMFs:
254 statement: |
255 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_dataLpBGD5XFAMFs";
256local_group_wikiquote_T_parsoid_htmliZ1mueNVmW9M:
257 statement: |
258 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_htmliZ1mueNVmW9M";
259local_group_wikiquote_T_parsoid_section_kYE_jMlE:
260 statement: |
261 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_section_kYE_jMlE";
262local_group_wikiquote_T_parsoid_stash_daU81yvllO:
263 statement: |
264 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_stash_daU81yvllO";
265local_group_wikiquote_T_parsoid_stash_daWH8IDUS9:
266 statement: |
267 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_stash_daWH8IDUS9";
268local_group_wikiquote_T_parsoid_stash_html:
269 statement: |
270 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_stash_html";
271local_group_wikiquote_T_parsoid_stash_htmXxc_uDh:
272 statement: |
273 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_stash_htmXxc_uDh";
274local_group_wikiquote_T_parsoid_stash_se2ACMDK1D:
275 statement: |
276 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_stash_se2ACMDK1D";
277local_group_wikiquote_T_parsoid_stash_wif0PBY8UX:
278 statement: |
279 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_stash_wif0PBY8UX";
280local_group_wikiquote_T_parsoid_stash_wikitext:
281 statement: |
282 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_stash_wikitext";
283local_group_wikiquote_T_parsoid_wikitext:
284 statement: |
285 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_parsoid_wikitext";
286local_group_wikiquote_T_restrictions:
287 statement: |
288 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_restrictions";
289local_group_wikiquote_T_summary:
290 statement: |
291 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_summary";
292local_group_wikiquote_T_title__revisions:
293 statement: |
294 DROP KEYSPACE IF EXISTS "local_group_wikiquote_T_title__revisions";
295local_group_wikisource_T_parsoid_dataLpBGD5XFAMF:
296 statement: |
297 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_dataLpBGD5XFAMF";
298local_group_wikisource_T_parsoid_htmliZ1mueNVmW9:
299 statement: |
300 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_htmliZ1mueNVmW9";
301local_group_wikisource_T_parsoid_sectionkYE_jMlE:
302 statement: |
303 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_sectionkYE_jMlE";
304local_group_wikisource_T_parsoid_stash_dU81yvllO:
305 statement: |
306 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_stash_dU81yvllO";
307local_group_wikisource_T_parsoid_stash_dWH8IDUS9:
308 statement: |
309 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_stash_dWH8IDUS9";
310local_group_wikisource_T_parsoid_stash_hmXxc_uDh:
311 statement: |
312 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_stash_hmXxc_uDh";
313local_group_wikisource_T_parsoid_stash_html:
314 statement: |
315 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_stash_html";
316local_group_wikisource_T_parsoid_stash_s2ACMDK1D:
317 statement: |
318 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_stash_s2ACMDK1D";
319local_group_wikisource_T_parsoid_stash_wf0PBY8UX:
320 statement: |
321 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_stash_wf0PBY8UX";
322local_group_wikisource_T_parsoid_stash_wikitext:
323 statement: |
324 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_stash_wikitext";
325local_group_wikisource_T_parsoid_wikitext:
326 statement: |
327 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_parsoid_wikitext";
328local_group_wikisource_T_restrictions:
329 statement: |
330 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_restrictions";
331local_group_wikisource_T_summary:
332 statement: |
333 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_summary";
334local_group_wikisource_T_title__revisions:
335 statement: |
336 DROP KEYSPACE IF EXISTS "local_group_wikisource_T_title__revisions";
337local_group_wikiversity_T_parsoid_dataLpBGD5XFAM:
338 statement: |
339 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_dataLpBGD5XFAM";
340local_group_wikiversity_T_parsoid_htmliZ1mueNVmW:
341 statement: |
342 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_htmliZ1mueNVmW";
343local_group_wikiversity_T_parsoid_sectiokYE_jMlE:
344 statement: |
345 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_sectiokYE_jMlE";
346local_group_wikiversity_T_parsoid_stash_2ACMDK1D:
347 statement: |
348 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_stash_2ACMDK1D";
349local_group_wikiversity_T_parsoid_stash_f0PBY8UX:
350 statement: |
351 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_stash_f0PBY8UX";
352local_group_wikiversity_T_parsoid_stash_html:
353 statement: |
354 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_stash_html";
355local_group_wikiversity_T_parsoid_stash_mXxc_uDh:
356 statement: |
357 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_stash_mXxc_uDh";
358local_group_wikiversity_T_parsoid_stash_U81yvllO:
359 statement: |
360 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_stash_U81yvllO";
361local_group_wikiversity_T_parsoid_stash_WH8IDUS9:
362 statement: |
363 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_stash_WH8IDUS9";
364local_group_wikiversity_T_parsoid_stash_wikitext:
365 statement: |
366 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_stash_wikitext";
367local_group_wikiversity_T_parsoid_wikitext:
368 statement: |
369 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_parsoid_wikitext";
370local_group_wikiversity_T_restrictions:
371 statement: |
372 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_restrictions";
373local_group_wikiversity_T_summary:
374 statement: |
375 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_summary";
376local_group_wikiversity_T_title__revisions:
377 statement: |
378 DROP KEYSPACE IF EXISTS "local_group_wikiversity_T_title__revisions";
379local_group_wikivoyage_T_parsoid_dataLpBGD5XFAMF:
380 statement: |
381 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_dataLpBGD5XFAMF";
382local_group_wikivoyage_T_parsoid_htmliZ1mueNVmW9:
383 statement: |
384 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_htmliZ1mueNVmW9";
385local_group_wikivoyage_T_parsoid_sectionkYE_jMlE:
386 statement: |
387 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_sectionkYE_jMlE";
388local_group_wikivoyage_T_parsoid_stash_dU81yvllO:
389 statement: |
390 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_stash_dU81yvllO";
391local_group_wikivoyage_T_parsoid_stash_dWH8IDUS9:
392 statement: |
393 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_stash_dWH8IDUS9";
394local_group_wikivoyage_T_parsoid_stash_hmXxc_uDh:
395 statement: |
396 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_stash_hmXxc_uDh";
397local_group_wikivoyage_T_parsoid_stash_html:
398 statement: |
399 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_stash_html";
400local_group_wikivoyage_T_parsoid_stash_s2ACMDK1D:
401 statement: |
402 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_stash_s2ACMDK1D";
403local_group_wikivoyage_T_parsoid_stash_wf0PBY8UX:
404 statement: |
405 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_stash_wf0PBY8UX";
406local_group_wikivoyage_T_parsoid_stash_wikitext:
407 statement: |
408 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_stash_wikitext";
409local_group_wikivoyage_T_parsoid_wikitext:
410 statement: |
411 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_parsoid_wikitext";
412local_group_wikivoyage_T_restrictions:
413 statement: |
414 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_restrictions";
415local_group_wikivoyage_T_summary:
416 statement: |
417 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_summary";
418local_group_wikivoyage_T_title__revisions:
419 statement: |
420 DROP KEYSPACE IF EXISTS "local_group_wikivoyage_T_title__revisions";
421local_group_wiktionary_T_parsoid_dataLpBGD5XFAMF:
422 statement: |
423 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_dataLpBGD5XFAMF";
424local_group_wiktionary_T_parsoid_htmliZ1mueNVmW9:
425 statement: |
426 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_htmliZ1mueNVmW9";
427local_group_wiktionary_T_parsoid_sectionkYE_jMlE:
428 statement: |
429 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_sectionkYE_jMlE";
430local_group_wiktionary_T_parsoid_stash_dU81yvllO:
431 statement: |
432 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_stash_dU81yvllO";
433local_group_wiktionary_T_parsoid_stash_dWH8IDUS9:
434 statement: |
435 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_stash_dWH8IDUS9";
436local_group_wiktionary_T_parsoid_stash_hmXxc_uDh:
437 statement: |
438 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_stash_hmXxc_uDh";
439local_group_wiktionary_T_parsoid_stash_html:
440 statement: |
441 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_stash_html";
442local_group_wiktionary_T_parsoid_stash_s2ACMDK1D:
443 statement: |
444 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_stash_s2ACMDK1D";
445local_group_wiktionary_T_parsoid_stash_wf0PBY8UX:
446 statement: |
447 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_stash_wf0PBY8UX";
448local_group_wiktionary_T_parsoid_stash_wikitext:
449 statement: |
450 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_stash_wikitext";
451local_group_wiktionary_T_parsoid_wikitext:
452 statement: |
453 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_parsoid_wikitext";
454local_group_wiktionary_T_restrictions:
455 statement: |
456 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_restrictions";
457local_group_wiktionary_T_summary:
458 statement: |
459 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_summary";
460local_group_wiktionary_T_term_definition:
461 statement: |
462 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_term_definition";
463local_group_wiktionary_T_title__revisions:
464 statement: |
465 DROP KEYSPACE IF EXISTS "local_group_wiktionary_T_title__revisions";

mobrovac closed this task as Resolved.Jan 3 2018, 10:58 AM
mobrovac claimed this task.
mobrovac edited projects, added Services (done); removed Services (doing).
mobrovac added a subscriber: mobrovac.

@Eevans let's move the discussion over to T183745: FY17/18 Q3 Program 7 Services Goal: Full migration to Cassandra 3. Resolving this ticket, as the quarter is done and we have completed the work we set out to do here.